# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/primecell.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ARM Primecell Peripherals

maintainers:
  - Rob Herring <robh@kernel.org>

description: |+
  ARM, Ltd. Primecell peripherals have a standard id register that can be used to
  identify the peripheral type, vendor, and revision. This value can be used for
  driver matching.

properties:
  compatible:
    contains:
      const: arm,primecell
    description:
      Should be a specific name for the peripheral followed by "arm,primecell".
      The specific name will match the ARM engineering name for the logic block
      in the form "arm,pl???"

  arm,primecell-periphid:
    $ref: /schemas/types.yaml#/definitions/uint32
    description: Value to override the h/w ID value
  clocks:
    minItems: 1
    maxItems: 32
  clock-names:
    contains:
      const: apb_pclk
    additionalItems: true

additionalProperties: true

...
